## django-hijack 2.0.3

=== DESCRIPTION ===
django-hijack allows superusers to hijack (=login as) and work on behalf of another user.

=== requirements.txt ===
django>=1.4,<1.10
django-compat>=1.0.8

## django-hijack 1.0.8

=== debian/changelog ===
django-hijack (1.0.8-2) unstable; urgency=medium

  * Fix README.Debian
  * Fix Vcs-* links
  * Bump django-compat dependency to 1.0.6-2

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 30 Jun 2015 16:28:28 +0530

django-hijack (1.0.8-1) unstable; urgency=medium

  * Initial release. (Closes: #787054: ITP: python-django-hijack -- Allows
    superusers to login as and work on behalf of other users)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 16 Jun 2015 18:04:32 +0530

=== debian/control ===
Source: django-hijack
Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
 python | python-all (>= 2.6.6-3) | python-dev | python-all-dev,
 python-setuptools (>= 0.6b3), python-django
X-Python-Version: 2.7
Standards-Version: 3.9.6
Homepage: https://github.com/arteria/django-hijack
Vcs-Git: https://github.com/Linaro/pkg-django-hijack.git
Vcs-Browser: https://github.com/Linaro/pkg-django-hijack.git

Package: python-django-hijack
Architecture: all
Depends: python-django-compat (>= 1.0.6-2), ${misc:Depends}, ${python:Depends}
Description: Allows superusers to login as and work on behalf of other users
 django-hijack allows superusers to hijack or login as and work on behalf of
 other users without knowing their credentials. This is handy for testing and
 debug user problems by the django superuser.

## django-hijack 2.0.3

=== debian/changelog ===
django-hijack (2.0.3-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Thu, 21 Jan 2016 12:47:18 +0530

django-hijack (2.0.1-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Wed, 23 Dec 2015 17:08:23 +0530

django-hijack (2.0.0-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 08 Dec 2015 20:40:06 +0530

django-hijack (1.0.10-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Wed, 18 Nov 2015 13:12:13 +0530

django-hijack (1.0.9-2) unstable; urgency=medium

  * Add Neil Williams (codehelp) as an uploader.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Sun, 30 Aug 2015 21:48:05 +0530

django-hijack (1.0.9-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Mon, 24 Aug 2015 06:51:28 +0530

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,7 @@
 Source: django-hijack
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
-Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>
+Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
+ Neil Williams <codehelp@debian.org>
 Section: python
 Priority: optional
 Build-Depends: debhelper (>= 9), dh-python,
@@ -14,7 +15,7 @@
 
 Package: python-django-hijack
 Architecture: all
-Depends: python-django-compat (>= 1.0.6-2), ${misc:Depends}, ${python:Depends}
+Depends: python-django-compat (>= 1.0.8-1), ${misc:Depends}, ${python:Depends}
 Description: Allows superusers to login as and work on behalf of other users
  django-hijack allows superusers to hijack or login as and work on behalf of
  other users without knowing their credentials. This is handy for testing and

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-hijack
%:
	dh $@ --with python2 --buildsystem=pybuild

=== debian/watch ===
version=3

opts="filenamemangle=s/(?:.*)?v?(\d[\d\.]*)\.tar\.gz/django-hijack-$1.tar.gz/" \
         https://github.com/arteria/django-hijack/tags (?:.*/)?v?(\d[\d\.]*)\.tar\.gz

## django-hijack 2.0.7

=== debian/changelog ===
django-hijack (2.0.7-2ubuntu3) artful; urgency=medium

  * Add missing change to requirements.txt so that the package is installable.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 18 Sep 2017 22:18:30 -0700

django-hijack (2.0.7-2ubuntu2) artful; urgency=medium

  * Add support for latest django versions as the tests can run fine.

 -- Bhavani Shankar <bhavi@ubuntu.com>  Sat, 02 Sep 2017 17:03:06 +0530

django-hijack (2.0.7-2ubuntu1) artful; urgency=medium

  * Fix build-depends to fix ftbfs when multiple Python versions are supported. 

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Fri, 23 Jun 2017 14:18:36 +1200

django-hijack (2.0.7-2) unstable; urgency=medium

  * Package for python3. (Closes: #805452: django-hijack: Python3 support)
  * Fix lintian warning build-depends-on-1-revision.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Mon, 21 Mar 2016 15:20:24 +0530

django-hijack (2.0.7-1) unstable; urgency=medium

  * New upstream production release.

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Sun, 20 Mar 2016 19:40:05 +0530

=== debian/control ===
Source: django-hijack
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
           Neil Williams <codehelp@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9),
               dh-python,
               python-all-dev,
               python-django,
               python-django-compat (>= 1.0.8),
               python-django-nose,
               python-setuptools (>= 0.6b3),
               python3-all-dev,
               python3-django,
               python3-django-compat (>= 1.0.8),
               python3-django-nose,
               python3-setuptools
X-Python-Version: >=2.7
Standards-Version: 3.9.7
Homepage: https://github.com/arteria/django-hijack
Vcs-Git: https://github.com/Linaro/pkg-django-hijack.git
Vcs-Browser: https://github.com/Linaro/pkg-django-hijack.git

Package: python-django-hijack
Architecture: all
Depends: python-django-compat (>= 1.0.8), ${misc:Depends}, ${python:Depends}
Description: Allows superusers to login as and work on behalf of other users
 django-hijack allows superusers to hijack or login as and work on behalf of
 other users without knowing their credentials. This is handy for testing and
 debug user problems by the django superuser.

Package: python3-django-hijack
Architecture: all
Depends: python3-django-compat (>= 1.0.8), ${misc:Depends}, ${python3:Depends}
Description: Allows superusers to login as and work on behalf of other users
 django-hijack allows superusers to hijack or login as and work on behalf of
 other users without knowing their credentials. This is handy for testing and
 debug user problems by the django superuser.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django-hijack
%:
	dh $@ --with python2,python3 --buildsystem=pybuild

override_dh_auto_test::
	python runtests.py
	python3 runtests.py

override_dh_auto_clean::
	$(RM) -r django_hijack.egg-info/ build/ dist/
	find . -name '*.pyc' -exec $(RM) -f {} +
	find . -name '*.pyo' -exec $(RM) -f {} +
	find . -name '*~' -exec rm $(RM) {} +

## django-hijack 2.1.7

=== Makefile ===
develop: setup-git
	pip install "file://`pwd`#egg=hijack[dev]"
	pip install -e .

setup-git:
	git config branch.autosetuprebase always
	cd .git/hooks && ln -sf ../../hooks/* ./

lint-python:
	@echo "Linting Python files"
	PYFLAKES_NODOCTEST=1 flake8 hijack
	@echo ""

=== requirements.txt ===
django-compat>=1.0.14

=== debian/changelog ===
django-hijack (2.1.7-1ubuntu1) eoan; urgency=medium

  * Drop python2 support.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 25 Sep 2019 21:41:08 -0700

django-hijack (2.1.7-1) unstable; urgency=medium

  * New upstream production release.
  * Fix FTBFS under Django 1.10 (Closes: #828648)
  * Fix Excessive build-depends complicate python3 transition (Closes: #866534)

 -- Senthil Kumaran S (stylesen) <stylesen@gmail.com>  Tue, 06 Mar 2018 15:04:24 +0530

=== debian/control ===
Source: django-hijack
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
Uploaders: Senthil Kumaran S (stylesen) <stylesen@gmail.com>,
 Neil Williams <codehelp@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 9), dh-python,
 python3-all,
 python3-setuptools, python3-django, python3-django-nose,
 python3-django-compat (>= 1.0.8)
Standards-Version: 3.9.7
Homepage: https://github.com/arteria/django-hijack
Vcs-Git: https://github.com/Linaro/pkg-django-hijack.git
Vcs-Browser: https://github.com/Linaro/pkg-django-hijack.git

Package: python3-django-hijack
Architecture: all
Depends: python3-django-compat (>= 1.0.8), ${misc:Depends}, ${python3:Depends}
Description: Allows superusers to login as and work on behalf of other users
 django-hijack allows superusers to hijack or login as and work on behalf of
 other users without knowing their credentials. This is handy for testing and
 debug user problems by the django superuser.

=== debian/rules ===
--- 
+++ 
@@ -2,10 +2,9 @@
 
 export PYBUILD_NAME=django-hijack
 %:
-	dh $@ --with python2,python3 --buildsystem=pybuild
+	dh $@ --with python3 --buildsystem=pybuild
 
 override_dh_auto_test::
-	python runtests.py
 	python3 runtests.py
 
 override_dh_auto_clean::
